# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Software_Testing
# FileName:      db.py
# Author:       Rikka
# Datetime:     2024/7/13 10:20
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import pymysql

from APIAutoTest_v3_1_multi_user.common.read_basic_ini import ReadBasicIni


class DB:
    def __init__(self):
        """链接数据库，获取链接对象，再获取游标对象"""
        ini = ReadBasicIni()
        self.conn = pymysql.connect(
            host=ini.sql_connect_msg("host"),
            port=int(ini.sql_connect_msg("port")),
            user=ini.sql_connect_msg("user"),
            password=ini.sql_connect_msg("pwd"),
            database=ini.sql_connect_msg("database"),
            charset="utf8"
        )
        self.cursor = self.conn.cursor()

    def close(self):
        self.cursor.close()
        self.conn.close()

    def delete(self, sql_sentence):
        try:
            self.cursor.execute(sql_sentence)
        except Exception as e:
            raise e
        else:
            self.conn.commit()

    def select(self, sql_sentence):
        try:
            self.cursor.execute(sql_sentence)
        except Exception as e:
            raise e
        else:
            select_result = self.cursor.fetchall()
            if select_result:
                return select_result[0][0]

