# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Software_Testing
# FileName:      read_basic_ini.py
# Author:       Rikka
# Datetime:     2024/7/13 11:29
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import configparser
import os.path


class ReadBasicIni:
    def __init__(self):
        """获取ini文件的路径，并读取"""
        self.data_config_path = os.path.join(os.path.dirname(os.path.dirname(__file__)), "data_config")
        basic_ini_path = os.path.join(self.data_config_path, "basic_config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(basic_ini_path, encoding="utf-8")

    def get_url(self, key):
        try:
            return self.conf.get("host", key)
        except Exception as e:
            raise e

    def sql_connect_msg(self, key):
        try:
            return self.conf.get("sql", key)
        except Exception as e:
            raise e

    def get_log(self, key):
        try:
            # 获取日志存放的目录名称
            dir_name = self.conf.get("report", key)
        except Exception as e:
            raise e
        else:
            # 获取report目录路径
            report_path = os.path.join(os.path.dirname(os.path.dirname(__file__)), "report")
            # 拼接日志文件的目录路径，再返回
            return os.path.join(report_path, dir_name)