# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Software_Testing
# FileName:      read_ini.py
# Author:       Rikka
# Datetime:     2024/7/13 10:10
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import configparser
import os.path

from APIAutoTest_v3_1_multi_user import log


class ReadIni:
    def __init__(self, username):
        self.data_config_path_user = os.path.join(os.path.join(os.path.dirname(os.path.dirname(__file__)), "data_config"), username)
        ini_path = os.path.join(self.data_config_path_user, "config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(ini_path, encoding="utf-8")

    def get_file_path(self, key):
        try:
            file_name = self.conf.get("file", key)
        except Exception as e:
            log.error(f"获取测试数据路径时报错，错误为:{e}")
            raise e
        else:
            return os.path.join(self.data_config_path_user, file_name)

    def get_table_name(self, key):
        try:
            return self.conf.get("table_name", key)
        except Exception as e:
            log.error(f"获取工作表名称时报错，错误为:{e}")
            raise e


