# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Software_Testing
# FileName:      read_json.py
# Author:       Rikka
# Datetime:     2024/7/13 10:17
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import json
import os.path

from APIAutoTest_v3_1_multi_user import log


def read_json(file_path):
    if os.path.isfile(file_path) and file_path.endswith(".json"):
        try:
            with open(file_path, mode="r", encoding="utf_8") as f:
                return json.load(f)
        except Exception as e:
            log.error(f"读取json文件时报错，错误为:{e}")
            raise e
    else:
        raise FileNotFoundError("文件路径错误")
