# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Software_Testing
# FileName:      test.py
# Author:       Rikka
# Datetime:     2024/7/13 11:00
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import pytest
import allure
from APIAutoTest_v3_1_multi_user import log
from APIAutoTest_v3_1_multi_user.common.read_excel import ReadExcel
from APIAutoTest_v3_1_multi_user.test_case.test_rikka_sister import USERNAME


class TestBpm:

    @allure.epic("BPM-Rikka_sister")
    @pytest.mark.parametrize("module_name, api_name, case_title, case_level, case_method, case_url, case_mime, case_data, expect_data, sql_type, sql_data, update_key", ReadExcel(USERNAME).get_data())
    def test_bpm(self, req_fix, db_fix, module_name, api_name, case_title, case_level, case_method, case_url, case_mime, case_data, expect_data, sql_type, sql_data, update_key):

        allure.dynamic.feature(module_name)
        allure.dynamic.story(api_name)
        allure.dynamic.title(case_title)
        allure.dynamic.severity(case_level)

        if sql_type == "delete":
            db_fix.delete(sql_data)

        elif sql_type == "select":
            select_result = db_fix.select(sql_data)
            case_data[update_key] = select_result

        elif sql_type == "select|delete" or sql_type == "delete|select":
            db_fix.delete(sql_data["delete"])

            select_result = db_fix.select(sql_data["select"])
            case_data[update_key] = select_result

        req_result = req_fix.request_public(req_method=case_method, req_url=case_url, req_mime=case_mime, case_data=case_data)

        try:
            for key in expect_data:
                assert expect_data[key] == req_result.json().get(key)
        except AssertionError:
            log.error(f"断言失败, 用例数据为：{case_data}, 期望数据为：{expect_data}, 服务器返回的数据为：{req_result.text}")
            raise AssertionError("断言失败")
        else:
            print("断言成功")
